# keystoneauth1.fixture.serializer module

A serializer to emit YAML but with request body in nicely formatted JSON.

class keystoneauth1.fixture.serializer.YamlJsonSerializer

  Bases: `BaseSerializer`

  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = None
  __firstlineno__ = 72
  __module__ = 'keystoneauth1.fixture.serializer'
  __static_attributes__ = ()
  deserialize(cassette_data: str) → Any

    A method that must be implemented by the Serializer author.

    The return value is extremely important. If it is not empty, the dictionary returned must have the following structure:

        {
            'http_interactions': [{
                # Interaction
            },
            {
                # Interaction
            }],
            'recorded_with': 'name of recorder'
        }

    Params str cassette_data:

      The data serialized as a string which needs to be deserialized.

    Returns:

      dictionary

  static generate_cassette_name(cassette_library_dir: str, cassette_name: str) → str
  name = 'yamljson'
  serialize(cassette_data: dict[str, Any]) → str

    A method that must be implemented by the Serializer author.

    Parameters:

      cassette_data (dict) – A dictionary with two keys: `http_interactions`, `recorded_with`.

    Returns:

      Serialized data as a string.

keystoneauth1.fixture.serializer._indent_json(val: str | None) → str

keystoneauth1.fixture.serializer._is_json_body(interaction: Interaction) → bool

keystoneauth1.fixture.serializer._represent_scalar(self: BaseRepresenter, tag: str, value: str, style: str | None = None) → ScalarNode

keystoneauth1.fixture.serializer._should_use_block(value: str) → bool

keystoneauth1.fixture.serializer._unicode_representer(dumper: Dumper, uni: str) → ScalarNode

this page last updated: 2026-07-14 15:48:40

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug